summaryrefslogtreecommitdiff
path: root/qa/1016
diff options
context:
space:
mode:
Diffstat (limited to 'qa/1016')
-rwxr-xr-xqa/101629
1 files changed, 29 insertions, 0 deletions
diff --git a/qa/1016 b/qa/1016
new file mode 100755
index 0000000..67e8441
--- /dev/null
+++ b/qa/1016
@@ -0,0 +1,29 @@
+#!/bin/sh
+# PCP QA Test No. 1016
+# Test QmcContext functionality
+#
+seq=`basename $0`
+echo "QA output created by $seq"
+. ./common.qt
+
+[ -x qt/qmc_context/qmc_context ] || _notrun "qmc_context not built or installed"
+
+status=1 # failure is the default!
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# timezones and EHOSTUNREACH (148 for IRIX, 113 for Linux)
+_filter()
+{
+ sed \
+ -e "s#EST-11EST-10,89/2:00,299/2:00#TZ#g" \
+ -e 's/hndl = [0-9][0-9]*/hndl = HANDLE/g' \
+ -e 's/-113 has 0/-148 has 0/' \
+ -e 's/sts = -113/sts = -148/'
+}
+
+cd $here/archives
+$here/qt/qmc_context/qmc_context -DPMC 2>&1 | _filter
+
+# success, all done
+status=0
+exit